Distribution:   CCux
Summary:	FFmpeg based gstreamer plugin

Packager:	Karsten Brockmann <arcam@ccux-linux.de>
Name:		gst-ffmpeg10
Version:	0.10.6
Release:	1
Provides:	%{name}
License:	GPL
URL:		http://gstreamer.freedesktop.org/modules/gst-ffmpeg.html
Group:		Video
Source0:	gst-ffmpeg-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	gstreamer10 

#Automatically resolved build dependencies
BuildRequires: glib
BuildRequires: glibc-devel
BuildRequires: gst-plugins-base-devel
BuildRequires: gstreamer10-devel
BuildRequires: liboil-devel
BuildRequires: libxml2-devel
BuildRequires: zlib-devel

%description
FFmpeg based gstreamer plugin. This is a plugin for the 0.10.x incarnation of gstreamer.


%post
ldconfig

%postun
ldconfig

%prep
%setup -n gst-ffmpeg-%{version}

%build
./configure --prefix=%_prefix --mandir=%_mandir --enable-shared
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_libdir}/gstreamer-0.10/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Dec 24 2008 Karsten Brockmann  <arcam@ccux-linux.de> 0.10.6-1
- version update
- removed obsolete gst-register call (FS#54)
* Sun May 07 2006 Karsten Brockmann  <arcam@ccux-linux.de> 0.10.1-1
- Initial Release
